## freshplayerplugin 0.3.9

=== CMakeLists.txt ===
project(freshplayerplugin)
cmake_minimum_required(VERSION 2.8.8)

# version
set(VER_MAJOR 0)
set(VER_MINOR 3)
set(VER_MICRO 9)

# setup compiler flags
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99 -fPIC -pthread")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Werror=format-security")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror=implicit-function-declaration")

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -fPIC -pthread")
#set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror=format-security")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror=implicit-function-declaration")

# add missing NDEBUG in RelWithDebugInfo
set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO} -DNDEBUG -g3")
set(CMAKE_C_FLAGS_RELWITHDEBINFO "${CMAKE_C_FLAGS_RELWITHDEBINFO} -DNDEBUG -g3")

# generate more debug info for Debug build type
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -O0 -g3")
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -O0 -g3")

# directory for auto-generated headers
include_directories("${CMAKE_BINARY_DIR}")

# determine software version
add_custom_target(git-revision ALL
                  COMMAND sh "${CMAKE_SOURCE_DIR}/cmake/update-version-info.sh"
                  "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" ${VER_MAJOR}
                  ${VER_MINOR} ${VER_MICRO}
                  WORKING_DIRECTORY "${CMAKE_BINARY_DIR}")

# find Ragel
find_program(RAGEL ragel)
if (${RAGEL} STREQUAL "RAGEL-NOTFOUND")
    message(FATAL_ERROR "Ragel State Machine Compiler not found")
endif()

# dependencies
find_package(PkgConfig REQUIRED)
pkg_check_modules(GLIB glib-2.0 REQUIRED)
pkg_check_modules(REQ
    alsa
    gio-2.0
    x11
    xrandr
    xrender
    xcursor
    gl
    libdrm
    libevent
    libevent_pthreads
    cairo
    pango
    pangocairo
    pangoft2
    freetype2
    openssl
    icu-uc
    REQUIRED)

# merge glib-2.0
list(APPEND REQ_LIBRARY_DIRS ${GLIB_LIBRARY_DIRS})
list(APPEND REQ_INCLUDE_DIRS ${GLIB_INCLUDE_DIRS})
list(APPEND REQ_LIBRARIES    ${GLIB_LIBRARIES})

# libdl.so, librt.so, and libm.so
list(APPEND REQ_LIBRARIES dl rt m)

# OpenGL ES 2
set(WITH_GLES2 FALSE CACHE BOOLEAN "use system libGLESv2")
if (WITH_GLES2)
    pkg_check_modules(GLES2 glesv2 REQUIRED)
    add_definitions(-DHAVE_GLES2=1)
    list(APPEND REQ_LIBRARY_DIRS ${GLES2_LIBRARY_DIRS})
    list(APPEND REQ_INCLUDE_DIRS ${GLES2_INCLUDE_DIRS})
    list(APPEND REQ_LIBRARIES    ${GLES2_LIBRARIES})
else()
    # otherwise ANGLE will be used for shader translation
endif()

# optional dependencies
message(STATUS "checking for optional dependencies")

pkg_check_modules(PULSEAUDIO QUIET libpulse)
pkg_check_modules(JACK QUIET jack)
pkg_check_modules(SOXR QUIET soxr)
set(WITH_PULSEAUDIO TRUE CACHE STRING "enable PulseAudio support")
set(WITH_JACK TRUE CACHE STRING "enable JACK Audio Connection Kit")

if (PULSEAUDIO_FOUND AND WITH_PULSEAUDIO)
    add_definitions(-DHAVE_PULSEAUDIO=1)
    message(STATUS "  found libpulse, version ${PULSEAUDIO_VERSION} (optional)")
    list(APPEND REQ_LIBRARY_DIRS ${PULSEAUDIO_LIBRARY_DIRS})
    list(APPEND REQ_INCLUDE_DIRS ${PULSEAUDIO_INCLUDE_DIRS})
    list(APPEND REQ_LIBRARIES    ${PULSEAUDIO_LIBRARIES})
else()
    message(STATUS "  no libpulse found (optional)")
endif()

if (JACK_FOUND AND WITH_JACK)
    message(STATUS "  found jack, version ${JACK_VERSION} (optional)")
    if (SOXR_FOUND)
        message(STATUS "  found soxr, version ${SOXR_VERSION}")
        add_definitions(-DHAVE_JACK=1)
        list(APPEND REQ_LIBRARY_DIRS "${JACK_LIBRARY_DIRS}" "${SOXR_LIBRARY_DIRS}")
        list(APPEND REQ_INCLUDE_DIRS "${JACK_INCLUDE_DIRS}" "${SOXR_INCLUDE_DIRS}")
        list(APPEND REQ_LIBRARIES    "${JACK_LIBRARIES}" "${SOXR_LIBRARIES}")
    else()
        message(STATUS "  no soxr found, JACK output disabled")
    endif()
else()
    message(STATUS "  no jack found (optional)")
endif()

# hw accelerated decoding
set(WITH_HWDEC TRUE CACHE STRING "enable hw accelerated decoding")
if (WITH_HWDEC)
    pkg_check_modules(HWDEC libavcodec libavutil libva libva-x11 vdpau REQUIRED)
    list(APPEND REQ_LIBRARY_DIRS ${HWDEC_LIBRARY_DIRS})
    list(APPEND REQ_INCLUDE_DIRS ${HWDEC_INCLUDE_DIRS})
    list(APPEND REQ_LIBRARIES    ${HWDEC_LIBRARIES})
    add_subdirectory(cmake/ffmpeg-compat)
endif()

# using libv4l2 for colorspace conversion
set(WITH_LIBV4L2 TRUE CACHE STRING "use libv4l2 for colorspace conversion")
if (WITH_LIBV4L2)
    add_definitions(-DHAVE_LIBV4L2=1)
    pkg_check_modules(LIBV4L2 libv4l2 REQUIRED)
    list(APPEND REQ_LIBRARY_DIRS ${LIBV4L2_LIBRARY_DIRS})
    list(APPEND REQ_INCLUDE_DIRS ${LIBV4L2_INCLUDE_DIRS})
    list(APPEND REQ_LIBRARIES    ${LIBV4L2_LIBRARIES})
else()
    add_definitions(-DHAVE_LIBV4L2=0)
endif()

include_directories(${REQ_INCLUDE_DIRS})
link_directories(${REQ_LIBRARY_DIRS})
add_definitions(${REQ_CFLAGS_OTHER})
add_definitions(-DXP_UNIX)

include_directories(3rdparty)
if (NOT WITH_GLES2)
    include_directories(3rdparty/angle/include)
    list(APPEND REQ_LIBRARIES shader_translator)
endif()

set(SYMBOLMAP "-Wl,-version-script=\"${CMAKE_SOURCE_DIR}/src/symbolmap\"")

add_subdirectory(3rdparty)
add_subdirectory(src)
add_subdirectory(tests)

=== 3rdparty/CMakeLists.txt ===
add_subdirectory(parson)
if (NOT WITH_GLES2)
    add_subdirectory(angle)
endif()

=== src/CMakeLists.txt ===
set(TRACE_ALL 0 CACHE BOOLEAN "Enable tracing implemented functions")
if(${TRACE_ALL})
    add_definitions(-DTRACE_ALL)
endif()

set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})

set(MOZPLUGIN_INSTALL_DIR "lib${LIB_SUFFIX}/mozilla/plugins/" CACHE STRING "plugin install directory")

add_subdirectory(uri_parser)
add_subdirectory(config_parser)

set(source_list
    async_network.c
    audio_thread.c
    audio_thread_alsa.c
    audio_thread_noaudio.c
    config.c
    compat.c
    encoding_alias.c
    font.c
    gtk_wrapper.c
    header_parser.c
    keycodeconvert.c
    np_asynccall.c
    np_entry.c
    np_functions.c
    main_thread.c
    reverse_constant.c
    tables.c
    trace_helpers.c
    trace_core.c
    n2p_proxy_class.c
    p2n_proxy_class.c
    pp_interface.c
    pp_resource.c
    ppb_core.c
    ppb_audio_config.c
    ppb_audio_input.c
    ppb_audio.c
    ppb_browser_font.c
    ppb_buffer.c
    ppb_char_set.c
    ppb_crypto.c
    ppb_cursor_control.c
    ppb_device_ref.c
    ppb_file_chooser.c
    ppb_file_io.c
    ppb_file_ref.c
    ppb_flash_clipboard.c
    ppb_flash_drm.c
    ppb_flash_file.c
    ppb_flash_font_file.c
    ppb_flash_fullscreen.c
    ppb_flash.c
    ppb_flash_menu.c
    ppb_flash_message_loop.c
    ppb_font.c
    ppb_graphics2d.c
    ppb_graphics3d.c
    ppb_host_resolver.c
    ppb_image_data.c
    ppb_input_event.c
    ppb_instance.c
    ppb_memory.c
    ppb_message_loop.c
    ppb_messaging.c
    ppb_net_address.c
    ppb_network_monitor.c
    ppb_opengles2.c
    ppb_pdf.c
    ppb_printing.c
    ppb_tcp_socket.c
    ppb_text_input_controller.c
    ppb_text_input.c
    ppb_udp_socket.c
    ppb_uma.c
    ppb_url_loader.c
    ppb_url_request_info.c
    ppb_url_response_info.c
    ppb_url_util.c
    ppb_var.c
    ppb_video_capture.c
    ppb_view.c
    ppb_x509_certificate.c
    screensaver_control.c
    x11_event_thread.c
)

if (PULSEAUDIO_FOUND AND WITH_PULSEAUDIO)
    list(APPEND source_list audio_thread_pulseaudio.c)
endif()

if (JACK_FOUND AND SOXR_FOUND AND WITH_JACK)
    list(APPEND source_list audio_thread_jack.c)
endif()

if (NOT WITH_GLES2)
    list(APPEND source_list shader_translator.cc)
endif()

if (WITH_HWDEC)
    add_definitions(-DHAVE_HWDEC=1)
    list(APPEND source_list ppb_video_decoder.c)
else()
    add_definitions(-DHAVE_HWDEC=0)
endif()

add_executable(link_check link_check.c)
target_link_libraries(link_check ${REQ_LIBRARIES})

add_library(freshwrapper-obj OBJECT ${source_list})
add_dependencies(freshwrapper-obj link_check)

# ensure libfreshwrapper-*.so are linked with all libraries they use
add_executable(dep_check dep_check.c)
link_directories(${CMAKE_CURRENT_BINARY_DIR})

set(COMMON_OBJ_LIST
    $<TARGET_OBJECTS:freshwrapper-obj>
    $<TARGET_OBJECTS:parson-obj>
    $<TARGET_OBJECTS:uri-parser-obj>
    $<TARGET_OBJECTS:config-parser-obj>
)

# wrapper for PepperFlash
set(WITH_PEPPERFLASH TRUE CACHE STRING "generate wrapper for PepperFlash")
if (WITH_PEPPERFLASH)
    add_library(freshwrapper-flashplayer SHARED ${COMMON_OBJ_LIST} config_pepperflash.c)
    target_link_libraries(freshwrapper-flashplayer ${SYMBOLMAP} ${REQ_LIBRARIES})
    target_link_libraries(dep_check freshwrapper-flashplayer)
    install(TARGETS freshwrapper-flashplayer DESTINATION ${MOZPLUGIN_INSTALL_DIR})
endif()

=== tests/CMakeLists.txt ===
enable_testing()
add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND})

add_definitions(-DTEST_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")

set(test_list
    test_encoding_alias
    test_header_parser
    test_ppb_char_set
    test_ppb_flash_file
    test_ppb_url_request_info
    test_ppb_x509_certificate
    test_uri_parser
    test_ppb_net_address
    test_config_parser
    test_thread_specifier
)

link_directories(
    ${REQ_LIBRARY_DIRS}
)

# simplify inclusion of .c sources
include_directories(..)

foreach(item ${test_list})
    add_executable(${item}
        ${item}.c
        $<TARGET_OBJECTS:freshwrapper-obj>
        $<TARGET_OBJECTS:parson-obj>
        $<TARGET_OBJECTS:uri-parser-obj>
        $<TARGET_OBJECTS:config-parser-obj>
        ../src/config_pepperflash.c
        nih_test.c
        common.c)
    target_link_libraries(${item}
        "-Wl,-z,muldefs"
        ${REQ_LIBRARIES})
    add_test(${item} ${item})
    add_dependencies(check ${item})
endforeach()

add_executable(util_glx_pixmap util_glx_pixmap.c)
add_dependencies(check util_glx_pixmap)
target_link_libraries(util_glx_pixmap ${REQ_LIBRARIES})

=== 3rdparty/angle/CMakeLists.txt ===
include_directories(include)
include_directories(src)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fno-strict-aliasing")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-strict-aliasing")

add_library(shader_translator STATIC
    src/common/Float16ToFloat32.cpp
    src/common/tls.cpp
    src/common/utilities.cpp
    src/compiler/preprocessor/DiagnosticsBase.cpp
    src/compiler/preprocessor/DirectiveHandlerBase.cpp
    src/compiler/preprocessor/DirectiveParser.cpp
    src/compiler/preprocessor/ExpressionParser.cpp
    src/compiler/preprocessor/Input.cpp
    src/compiler/preprocessor/Lexer.cpp
    src/compiler/preprocessor/Macro.cpp
    src/compiler/preprocessor/MacroExpander.cpp
    src/compiler/preprocessor/Preprocessor.cpp
    src/compiler/preprocessor/Token.cpp
    src/compiler/preprocessor/Tokenizer.cpp
    src/compiler/translator/BuiltInFunctionEmulator.cpp
    src/compiler/translator/BuiltInFunctionEmulatorGLSL.cpp
    src/compiler/translator/Cache.cpp
    src/compiler/translator/CallDAG.cpp
    src/compiler/translator/CodeGen.cpp
    src/compiler/translator/Compiler.cpp
    src/compiler/translator/Diagnostics.cpp
    src/compiler/translator/DirectiveHandler.cpp
    src/compiler/translator/EmulatePrecision.cpp
    src/compiler/translator/glslang_lex.cpp
    src/compiler/translator/glslang_tab.cpp
    src/compiler/translator/InfoSink.cpp
    src/compiler/translator/Initialize.cpp
    src/compiler/translator/InitializeDll.cpp
    src/compiler/translator/InitializeParseContext.cpp
    src/compiler/translator/Intermediate.cpp
    src/compiler/translator/intermOut.cpp
    src/compiler/translator/IntermNode.cpp
    src/compiler/translator/IntermTraverse.cpp
    src/compiler/translator/LoopInfo.cpp
    src/compiler/translator/Operator.cpp
    src/compiler/translator/OutputGLSLBase.cpp
    src/compiler/translator/OutputGLSL.cpp
    src/compiler/translator/parseConst.cpp
    src/compiler/translator/ParseContext.cpp
    src/compiler/translator/PoolAlloc.cpp
    src/compiler/translator/PruneEmptyDeclarations.cpp
    src/compiler/translator/RecordConstantPrecision.cpp
    src/compiler/translator/ShaderLang.cpp
    src/compiler/translator/SymbolTable.cpp
    src/compiler/translator/TranslatorGLSL.cpp
    src/compiler/translator/Types.cpp
    src/compiler/translator/util.cpp
    src/compiler/translator/ValidateGlobalInitializer.cpp
    src/compiler/translator/ValidateOutputs.cpp
    src/compiler/translator/ValidateSwitch.cpp
    src/compiler/translator/VersionGLSL.cpp
)

add_executable(st samples/shader_translator/shader_translator.cpp)
target_link_libraries(st shader_translator)

=== 3rdparty/parson/CMakeLists.txt ===
add_library(parson-obj OBJECT parson.c)

=== src/uri_parser/CMakeLists.txt ===
set(URI_PARSER_FSM_C "${CMAKE_CURRENT_BINARY_DIR}/uri_parser_fsm.c")
include_directories("${CMAKE_CURRENT_BINARY_DIR}")
add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/uri_parser_fsm.c"
    DEPENDS uri_parser_fsm.rl
    COMMAND "${RAGEL}"
    ARGS    -G2 "${CMAKE_CURRENT_SOURCE_DIR}/uri_parser_fsm.rl" -o "${URI_PARSER_FSM_C}"
    VERBATIM
)
add_custom_target(generate_fsm DEPENDS "${URI_PARSER_FSM_C}")
add_library(uri-parser-obj OBJECT
    uri_parser.c
)
add_dependencies(uri-parser-obj generate_fsm)

=== debian/changelog ===
freshplayerplugin (0.3.9-2ubuntu5) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:21:03 +0100

freshplayerplugin (0.3.9-2ubuntu4) focal; urgency=medium

  * Add missing build-depend libdrm-dev.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 17 Feb 2020 19:53:39 +0000

freshplayerplugin (0.3.9-2ubuntu3) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2020 07:59:09 +0100

freshplayerplugin (0.3.9-2ubuntu2) focal; urgency=medium

  * No-change rebuild for libevent soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Oct 2019 19:55:25 +0000

freshplayerplugin (0.3.9-2ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Recommend adobe-flashplugin instead of pepperflashplugin-nonfree
    - Build only on amd64 and i386 (probably because of the recommended
      package being available only on those two architectures)
  * Dropped changes
    - run testsuite with LC_ALL=C, the new upstream correctly detects it
    - avoid duplication of plugin
    - drop icu-dev build-dependency, already dragged in automatically
    - drop ffmpeg av patch, included in Debian

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 24 Apr 2019 08:05:22 +0200

freshplayerplugin (0.3.9-2) unstable; urgency=medium

  * Fix "FTBFS on big-endian architectures: test fails" using a
    upstream patch (thanks Rinat Ibragimov) (Closes: #916834)

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 26 Dec 2018 08:46:13 +0100

freshplayerplugin (0.3.9-1) unstable; urgency=medium

  * New upstream release
    Fix compatibility with the latest Firefox versions (Closes: #902256)
  * big thanks to Gunnar Hjalmarsson <gunnar.hjalmarsson@telia.com>
    that help me for the following points:
    + remove browser-plugin-freshplayer-libpdf and
      browser-plugin-freshplayer-nacl binary packages whose wrapper have been
      dropped upstream
    + backport a patch from upstream to build with latest ffmpeg

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 21 Sep 2018 10:27:22 +0200

freshplayerplugin (0.3.9-0ubuntu4) disco; urgency=medium

  * No-change rebuild for icu soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Nov 2018 08:11:56 +0000

freshplayerplugin (0.3.9-0ubuntu3) cosmic; urgency=medium

  * debian/control:
    - Only build amd64 and i386.
  * debian/patches/use-AV_-prefixed-macros.patch:
    - Prevent build failure with ffmpeg 7:4.0.2.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 31 Jul 2018 00:05:00 +0200

freshplayerplugin (0.3.9-0ubuntu2) cosmic; urgency=medium

  * No-change rebuild for ffmpeg soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Jul 2018 08:42:44 +0000

freshplayerplugin (0.3.9-0ubuntu1) cosmic; urgency=medium

  * New upstream release (LP: #1778041)
  * debian/patches/typo-from-lintian.patch:
    - Dropped; applied upstream.
  * debian/browser-plugin-freshplayer-libpdf.install:
  * debian/browser-plugin-freshplayer-nacl.install:
  * debian/browser-plugin-freshplayer-pepperflash.install:
  * debian/control:
  * debian/rules:
    - libpdf and NaCl wrappers dropped upstream, so dropping the
      browser-plugin-freshplayer-libpdf and
      browser-plugin-freshplayer-nacl binaries.
    - Avoid duplication of libfreshwrapper-flashplayer.so.
  * debian/control:
    - Add libicu-dev to Build-Depends.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sat, 23 Jun 2018 19:00:00 +0200

=== debian/control ===
Source: freshplayerplugin
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Vincent Danjean <vdanjean@debian.org>
Section: contrib/web
XS-Autobuild: yes
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake,
               pkg-config,
               libglib2.0-dev,
               libasound2-dev,
               libx11-dev,
               libgl1-mesa-dev,
               liburiparser-dev,
               libcairo2-dev,
               libpango1.0-dev,
               libpangocairo-1.0-0,
               libpangoft2-1.0-0,
               libfreetype6-dev,
               libgtk2.0-dev,
               libxinerama-dev,
               libconfig-dev,
               libevent-dev,
               libegl1-mesa-dev,
               libgles2-mesa-dev,
               ragel,
               libssl-dev,
               libv4l-dev,
               libpulse-dev,
               libavcodec-dev,
               libavutil-dev,
               libva-dev,
               libdrm-dev,
               libvdpau-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian/freshplayerplugin
Vcs-Git: https://salsa.debian.org/debian/freshplayerplugin.git
Homepage: https://github.com/i-rinat/freshplayerplugin

Package: browser-plugin-freshplayer-pepperflash
Architecture: amd64 i386
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: adobe-flashplugin
Description: PPAPI-host NPAPI-plugin adapter for pepperflash
 The main goal of the project is to get PPAPI (Chrome) plugins
 working in Firefox (and any other web-browser supporting NPAPI plugins).
 It implements a wrapper which behaves like
 browser to PPAPI plugin and implements NPAPI plugin interface
 for browser to use.
 .
 This particular implementation doesn't implement any sandboxing,
 which means any malicious code can break through plugin security
 as there are no additional barriers.  This is the same level of security as
 NPAPI Flash have.
 .
 Flash plugin for Linux provided by adobe stopped at version 11.2; for
 chrome/chromium users there is pepperflash plugin but it's not supported by
 firefox/iceweasel/other browsers.
 .
 This package allows one to use the Pepper Flash plugin from Chrome
 in NPAPI web browsers.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/default.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --builddir build

override_dh_auto_configure:
	dh_auto_configure -- \
		-DWITH_LIBPDF=TRUE \
		-DWITH_NACL=TRUE \
		-DWITH_PEPPERFLASH=TRUE

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp --builddir build --

override_dh_makeshlibs:
	# not invoking dh_makeshlibs: the generated library is private
	# no need to generate shlibs file nor ldconfig calls

=== debian/watch ===
version=4
https://github.com/i-rinat/freshplayerplugin/releases .*/freshplayerplugin-(.*)\.tar\.gz
